schema_install() {
  SCHEMA="$1"
  GCONF_CONFIG_SOURCE="xml::etc/gconf/gconf.xml.defaults" \
  chroot . gconftool-2 --makefile-install-rule \
    /etc/gconf/schemas/$SCHEMA \
    1>/dev/null
}

schema_install gconf-editor.schemas

if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications &> /dev/null
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi
( cd usr/share/gnome/help/gconf-editor/ca/figures ; rm -rf entry-blank.png )
( cd usr/share/gnome/help/gconf-editor/ca/figures ; ln -sf ../../C/figures/entry-blank.png entry-blank.png )
( cd usr/share/gnome/help/gconf-editor/ca/figures ; rm -rf entry-bool.png )
( cd usr/share/gnome/help/gconf-editor/ca/figures ; ln -sf ../../C/figures/entry-bool.png entry-bool.png )
( cd usr/share/gnome/help/gconf-editor/ca/figures ; rm -rf entry-list.png )
( cd usr/share/gnome/help/gconf-editor/ca/figures ; ln -sf ../../C/figures/entry-list.png entry-list.png )
( cd usr/share/gnome/help/gconf-editor/ca/figures ; rm -rf entry-number.png )
( cd usr/share/gnome/help/gconf-editor/ca/figures ; ln -sf ../../C/figures/entry-number.png entry-number.png )
( cd usr/share/gnome/help/gconf-editor/ca/figures ; rm -rf entry-schema.png )
( cd usr/share/gnome/help/gconf-editor/ca/figures ; ln -sf ../../C/figures/entry-schema.png entry-schema.png )
( cd usr/share/gnome/help/gconf-editor/ca/figures ; rm -rf entry-string.png )
( cd usr/share/gnome/help/gconf-editor/ca/figures ; ln -sf ../../C/figures/entry-string.png entry-string.png )
( cd usr/share/gnome/help/gconf-editor/cs/figures ; rm -rf entry-blank.png )
( cd usr/share/gnome/help/gconf-editor/cs/figures ; ln -sf ../../C/figures/entry-blank.png entry-blank.png )
( cd usr/share/gnome/help/gconf-editor/cs/figures ; rm -rf entry-bool.png )
( cd usr/share/gnome/help/gconf-editor/cs/figures ; ln -sf ../../C/figures/entry-bool.png entry-bool.png )
( cd usr/share/gnome/help/gconf-editor/cs/figures ; rm -rf entry-list.png )
( cd usr/share/gnome/help/gconf-editor/cs/figures ; ln -sf ../../C/figures/entry-list.png entry-list.png )
( cd usr/share/gnome/help/gconf-editor/cs/figures ; rm -rf entry-number.png )
( cd usr/share/gnome/help/gconf-editor/cs/figures ; ln -sf ../../C/figures/entry-number.png entry-number.png )
( cd usr/share/gnome/help/gconf-editor/cs/figures ; rm -rf entry-schema.png )
( cd usr/share/gnome/help/gconf-editor/cs/figures ; ln -sf ../../C/figures/entry-schema.png entry-schema.png )
( cd usr/share/gnome/help/gconf-editor/cs/figures ; rm -rf entry-string.png )
( cd usr/share/gnome/help/gconf-editor/cs/figures ; ln -sf ../../C/figures/entry-string.png entry-string.png )
( cd usr/share/gnome/help/gconf-editor/de/figures ; rm -rf entry-blank.png )
( cd usr/share/gnome/help/gconf-editor/de/figures ; ln -sf ../../C/figures/entry-blank.png entry-blank.png )
( cd usr/share/gnome/help/gconf-editor/de/figures ; rm -rf entry-bool.png )
( cd usr/share/gnome/help/gconf-editor/de/figures ; ln -sf ../../C/figures/entry-bool.png entry-bool.png )
( cd usr/share/gnome/help/gconf-editor/de/figures ; rm -rf entry-list.png )
( cd usr/share/gnome/help/gconf-editor/de/figures ; ln -sf ../../C/figures/entry-list.png entry-list.png )
( cd usr/share/gnome/help/gconf-editor/de/figures ; rm -rf entry-number.png )
( cd usr/share/gnome/help/gconf-editor/de/figures ; ln -sf ../../C/figures/entry-number.png entry-number.png )
( cd usr/share/gnome/help/gconf-editor/de/figures ; rm -rf entry-schema.png )
( cd usr/share/gnome/help/gconf-editor/de/figures ; ln -sf ../../C/figures/entry-schema.png entry-schema.png )
( cd usr/share/gnome/help/gconf-editor/de/figures ; rm -rf entry-string.png )
( cd usr/share/gnome/help/gconf-editor/de/figures ; ln -sf ../../C/figures/entry-string.png entry-string.png )
( cd usr/share/gnome/help/gconf-editor/el/figures ; rm -rf entry-blank.png )
( cd usr/share/gnome/help/gconf-editor/el/figures ; ln -sf ../../C/figures/entry-blank.png entry-blank.png )
( cd usr/share/gnome/help/gconf-editor/el/figures ; rm -rf entry-bool.png )
( cd usr/share/gnome/help/gconf-editor/el/figures ; ln -sf ../../C/figures/entry-bool.png entry-bool.png )
( cd usr/share/gnome/help/gconf-editor/el/figures ; rm -rf entry-list.png )
( cd usr/share/gnome/help/gconf-editor/el/figures ; ln -sf ../../C/figures/entry-list.png entry-list.png )
( cd usr/share/gnome/help/gconf-editor/el/figures ; rm -rf entry-number.png )
( cd usr/share/gnome/help/gconf-editor/el/figures ; ln -sf ../../C/figures/entry-number.png entry-number.png )
( cd usr/share/gnome/help/gconf-editor/el/figures ; rm -rf entry-schema.png )
( cd usr/share/gnome/help/gconf-editor/el/figures ; ln -sf ../../C/figures/entry-schema.png entry-schema.png )
( cd usr/share/gnome/help/gconf-editor/el/figures ; rm -rf entry-string.png )
( cd usr/share/gnome/help/gconf-editor/el/figures ; ln -sf ../../C/figures/entry-string.png entry-string.png )
( cd usr/share/gnome/help/gconf-editor/en_GB/figures ; rm -rf entry-blank.png )
( cd usr/share/gnome/help/gconf-editor/en_GB/figures ; ln -sf ../../C/figures/entry-blank.png entry-blank.png )
( cd usr/share/gnome/help/gconf-editor/en_GB/figures ; rm -rf entry-bool.png )
( cd usr/share/gnome/help/gconf-editor/en_GB/figures ; ln -sf ../../C/figures/entry-bool.png entry-bool.png )
( cd usr/share/gnome/help/gconf-editor/en_GB/figures ; rm -rf entry-list.png )
( cd usr/share/gnome/help/gconf-editor/en_GB/figures ; ln -sf ../../C/figures/entry-list.png entry-list.png )
( cd usr/share/gnome/help/gconf-editor/en_GB/figures ; rm -rf entry-number.png )
( cd usr/share/gnome/help/gconf-editor/en_GB/figures ; ln -sf ../../C/figures/entry-number.png entry-number.png )
( cd usr/share/gnome/help/gconf-editor/en_GB/figures ; rm -rf entry-schema.png )
( cd usr/share/gnome/help/gconf-editor/en_GB/figures ; ln -sf ../../C/figures/entry-schema.png entry-schema.png )
( cd usr/share/gnome/help/gconf-editor/en_GB/figures ; rm -rf entry-string.png )
( cd usr/share/gnome/help/gconf-editor/en_GB/figures ; ln -sf ../../C/figures/entry-string.png entry-string.png )
( cd usr/share/gnome/help/gconf-editor/en_GB/figures ; rm -rf gconf_editor_anno_window.png )
( cd usr/share/gnome/help/gconf-editor/en_GB/figures ; ln -sf ../../C/figures/gconf_editor_anno_window.png gconf_editor_anno_window.png )
( cd usr/share/gnome/help/gconf-editor/es/figures ; rm -rf entry-blank.png )
( cd usr/share/gnome/help/gconf-editor/es/figures ; ln -sf ../../C/figures/entry-blank.png entry-blank.png )
( cd usr/share/gnome/help/gconf-editor/es/figures ; rm -rf entry-bool.png )
( cd usr/share/gnome/help/gconf-editor/es/figures ; ln -sf ../../C/figures/entry-bool.png entry-bool.png )
( cd usr/share/gnome/help/gconf-editor/es/figures ; rm -rf entry-list.png )
( cd usr/share/gnome/help/gconf-editor/es/figures ; ln -sf ../../C/figures/entry-list.png entry-list.png )
( cd usr/share/gnome/help/gconf-editor/es/figures ; rm -rf entry-number.png )
( cd usr/share/gnome/help/gconf-editor/es/figures ; ln -sf ../../C/figures/entry-number.png entry-number.png )
( cd usr/share/gnome/help/gconf-editor/es/figures ; rm -rf entry-schema.png )
( cd usr/share/gnome/help/gconf-editor/es/figures ; ln -sf ../../C/figures/entry-schema.png entry-schema.png )
( cd usr/share/gnome/help/gconf-editor/es/figures ; rm -rf entry-string.png )
( cd usr/share/gnome/help/gconf-editor/es/figures ; ln -sf ../../C/figures/entry-string.png entry-string.png )
( cd usr/share/gnome/help/gconf-editor/fr/figures ; rm -rf entry-blank.png )
( cd usr/share/gnome/help/gconf-editor/fr/figures ; ln -sf ../../C/figures/entry-blank.png entry-blank.png )
( cd usr/share/gnome/help/gconf-editor/fr/figures ; rm -rf entry-bool.png )
( cd usr/share/gnome/help/gconf-editor/fr/figures ; ln -sf ../../C/figures/entry-bool.png entry-bool.png )
( cd usr/share/gnome/help/gconf-editor/fr/figures ; rm -rf entry-list.png )
( cd usr/share/gnome/help/gconf-editor/fr/figures ; ln -sf ../../C/figures/entry-list.png entry-list.png )
( cd usr/share/gnome/help/gconf-editor/fr/figures ; rm -rf entry-number.png )
( cd usr/share/gnome/help/gconf-editor/fr/figures ; ln -sf ../../C/figures/entry-number.png entry-number.png )
( cd usr/share/gnome/help/gconf-editor/fr/figures ; rm -rf entry-schema.png )
( cd usr/share/gnome/help/gconf-editor/fr/figures ; ln -sf ../../C/figures/entry-schema.png entry-schema.png )
( cd usr/share/gnome/help/gconf-editor/fr/figures ; rm -rf entry-string.png )
( cd usr/share/gnome/help/gconf-editor/fr/figures ; ln -sf ../../C/figures/entry-string.png entry-string.png )
( cd usr/share/gnome/help/gconf-editor/it/figures ; rm -rf entry-blank.png )
( cd usr/share/gnome/help/gconf-editor/it/figures ; ln -sf ../../C/figures/entry-blank.png entry-blank.png )
( cd usr/share/gnome/help/gconf-editor/it/figures ; rm -rf entry-bool.png )
( cd usr/share/gnome/help/gconf-editor/it/figures ; ln -sf ../../C/figures/entry-bool.png entry-bool.png )
( cd usr/share/gnome/help/gconf-editor/it/figures ; rm -rf entry-list.png )
( cd usr/share/gnome/help/gconf-editor/it/figures ; ln -sf ../../C/figures/entry-list.png entry-list.png )
( cd usr/share/gnome/help/gconf-editor/it/figures ; rm -rf entry-number.png )
( cd usr/share/gnome/help/gconf-editor/it/figures ; ln -sf ../../C/figures/entry-number.png entry-number.png )
( cd usr/share/gnome/help/gconf-editor/it/figures ; rm -rf entry-schema.png )
( cd usr/share/gnome/help/gconf-editor/it/figures ; ln -sf ../../C/figures/entry-schema.png entry-schema.png )
( cd usr/share/gnome/help/gconf-editor/it/figures ; rm -rf entry-string.png )
( cd usr/share/gnome/help/gconf-editor/it/figures ; ln -sf ../../C/figures/entry-string.png entry-string.png )
( cd usr/share/gnome/help/gconf-editor/oc/figures ; rm -rf entry-blank.png )
( cd usr/share/gnome/help/gconf-editor/oc/figures ; ln -sf ../../C/figures/entry-blank.png entry-blank.png )
( cd usr/share/gnome/help/gconf-editor/oc/figures ; rm -rf entry-bool.png )
( cd usr/share/gnome/help/gconf-editor/oc/figures ; ln -sf ../../C/figures/entry-bool.png entry-bool.png )
( cd usr/share/gnome/help/gconf-editor/oc/figures ; rm -rf entry-list.png )
( cd usr/share/gnome/help/gconf-editor/oc/figures ; ln -sf ../../C/figures/entry-list.png entry-list.png )
( cd usr/share/gnome/help/gconf-editor/oc/figures ; rm -rf entry-number.png )
( cd usr/share/gnome/help/gconf-editor/oc/figures ; ln -sf ../../C/figures/entry-number.png entry-number.png )
( cd usr/share/gnome/help/gconf-editor/oc/figures ; rm -rf entry-schema.png )
( cd usr/share/gnome/help/gconf-editor/oc/figures ; ln -sf ../../C/figures/entry-schema.png entry-schema.png )
( cd usr/share/gnome/help/gconf-editor/oc/figures ; rm -rf entry-string.png )
( cd usr/share/gnome/help/gconf-editor/oc/figures ; ln -sf ../../C/figures/entry-string.png entry-string.png )
( cd usr/share/gnome/help/gconf-editor/oc/figures ; rm -rf gconf_editor_anno_window.png )
( cd usr/share/gnome/help/gconf-editor/oc/figures ; ln -sf ../../C/figures/gconf_editor_anno_window.png gconf_editor_anno_window.png )
( cd usr/share/gnome/help/gconf-editor/pt_BR/figures ; rm -rf entry-blank.png )
( cd usr/share/gnome/help/gconf-editor/pt_BR/figures ; ln -sf ../../C/figures/entry-blank.png entry-blank.png )
( cd usr/share/gnome/help/gconf-editor/pt_BR/figures ; rm -rf entry-bool.png )
( cd usr/share/gnome/help/gconf-editor/pt_BR/figures ; ln -sf ../../C/figures/entry-bool.png entry-bool.png )
( cd usr/share/gnome/help/gconf-editor/pt_BR/figures ; rm -rf entry-list.png )
( cd usr/share/gnome/help/gconf-editor/pt_BR/figures ; ln -sf ../../C/figures/entry-list.png entry-list.png )
( cd usr/share/gnome/help/gconf-editor/pt_BR/figures ; rm -rf entry-number.png )
( cd usr/share/gnome/help/gconf-editor/pt_BR/figures ; ln -sf ../../C/figures/entry-number.png entry-number.png )
( cd usr/share/gnome/help/gconf-editor/pt_BR/figures ; rm -rf entry-schema.png )
( cd usr/share/gnome/help/gconf-editor/pt_BR/figures ; ln -sf ../../C/figures/entry-schema.png entry-schema.png )
( cd usr/share/gnome/help/gconf-editor/pt_BR/figures ; rm -rf entry-string.png )
( cd usr/share/gnome/help/gconf-editor/pt_BR/figures ; ln -sf ../../C/figures/entry-string.png entry-string.png )
( cd usr/share/gnome/help/gconf-editor/ru/figures ; rm -rf entry-blank.png )
( cd usr/share/gnome/help/gconf-editor/ru/figures ; ln -sf ../../C/figures/entry-blank.png entry-blank.png )
( cd usr/share/gnome/help/gconf-editor/ru/figures ; rm -rf entry-bool.png )
( cd usr/share/gnome/help/gconf-editor/ru/figures ; ln -sf ../../C/figures/entry-bool.png entry-bool.png )
( cd usr/share/gnome/help/gconf-editor/ru/figures ; rm -rf entry-list.png )
( cd usr/share/gnome/help/gconf-editor/ru/figures ; ln -sf ../../C/figures/entry-list.png entry-list.png )
( cd usr/share/gnome/help/gconf-editor/ru/figures ; rm -rf entry-number.png )
( cd usr/share/gnome/help/gconf-editor/ru/figures ; ln -sf ../../C/figures/entry-number.png entry-number.png )
( cd usr/share/gnome/help/gconf-editor/ru/figures ; rm -rf entry-schema.png )
( cd usr/share/gnome/help/gconf-editor/ru/figures ; ln -sf ../../C/figures/entry-schema.png entry-schema.png )
( cd usr/share/gnome/help/gconf-editor/ru/figures ; rm -rf entry-string.png )
( cd usr/share/gnome/help/gconf-editor/ru/figures ; ln -sf ../../C/figures/entry-string.png entry-string.png )
( cd usr/share/gnome/help/gconf-editor/ru/figures ; rm -rf gconf_editor_anno_window.png )
( cd usr/share/gnome/help/gconf-editor/ru/figures ; ln -sf ../../C/figures/gconf_editor_anno_window.png gconf_editor_anno_window.png )
( cd usr/share/gnome/help/gconf-editor/sv/figures ; rm -rf entry-blank.png )
( cd usr/share/gnome/help/gconf-editor/sv/figures ; ln -sf ../../C/figures/entry-blank.png entry-blank.png )
( cd usr/share/gnome/help/gconf-editor/sv/figures ; rm -rf entry-bool.png )
( cd usr/share/gnome/help/gconf-editor/sv/figures ; ln -sf ../../C/figures/entry-bool.png entry-bool.png )
( cd usr/share/gnome/help/gconf-editor/sv/figures ; rm -rf entry-list.png )
( cd usr/share/gnome/help/gconf-editor/sv/figures ; ln -sf ../../C/figures/entry-list.png entry-list.png )
( cd usr/share/gnome/help/gconf-editor/sv/figures ; rm -rf entry-number.png )
( cd usr/share/gnome/help/gconf-editor/sv/figures ; ln -sf ../../C/figures/entry-number.png entry-number.png )
( cd usr/share/gnome/help/gconf-editor/sv/figures ; rm -rf entry-schema.png )
( cd usr/share/gnome/help/gconf-editor/sv/figures ; ln -sf ../../C/figures/entry-schema.png entry-schema.png )
( cd usr/share/gnome/help/gconf-editor/sv/figures ; rm -rf entry-string.png )
( cd usr/share/gnome/help/gconf-editor/sv/figures ; ln -sf ../../C/figures/entry-string.png entry-string.png )
( cd usr/share/gnome/help/gconf-editor/th/figures ; rm -rf entry-blank.png )
( cd usr/share/gnome/help/gconf-editor/th/figures ; ln -sf ../../C/figures/entry-blank.png entry-blank.png )
( cd usr/share/gnome/help/gconf-editor/th/figures ; rm -rf entry-bool.png )
( cd usr/share/gnome/help/gconf-editor/th/figures ; ln -sf ../../C/figures/entry-bool.png entry-bool.png )
( cd usr/share/gnome/help/gconf-editor/th/figures ; rm -rf entry-list.png )
( cd usr/share/gnome/help/gconf-editor/th/figures ; ln -sf ../../C/figures/entry-list.png entry-list.png )
( cd usr/share/gnome/help/gconf-editor/th/figures ; rm -rf entry-number.png )
( cd usr/share/gnome/help/gconf-editor/th/figures ; ln -sf ../../C/figures/entry-number.png entry-number.png )
( cd usr/share/gnome/help/gconf-editor/th/figures ; rm -rf entry-schema.png )
( cd usr/share/gnome/help/gconf-editor/th/figures ; ln -sf ../../C/figures/entry-schema.png entry-schema.png )
( cd usr/share/gnome/help/gconf-editor/th/figures ; rm -rf entry-string.png )
( cd usr/share/gnome/help/gconf-editor/th/figures ; ln -sf ../../C/figures/entry-string.png entry-string.png )
( cd usr/share/gnome/help/gconf-editor/uk/figures ; rm -rf entry-blank.png )
( cd usr/share/gnome/help/gconf-editor/uk/figures ; ln -sf ../../C/figures/entry-blank.png entry-blank.png )
( cd usr/share/gnome/help/gconf-editor/uk/figures ; rm -rf entry-bool.png )
( cd usr/share/gnome/help/gconf-editor/uk/figures ; ln -sf ../../C/figures/entry-bool.png entry-bool.png )
( cd usr/share/gnome/help/gconf-editor/uk/figures ; rm -rf entry-list.png )
( cd usr/share/gnome/help/gconf-editor/uk/figures ; ln -sf ../../C/figures/entry-list.png entry-list.png )
( cd usr/share/gnome/help/gconf-editor/uk/figures ; rm -rf entry-number.png )
( cd usr/share/gnome/help/gconf-editor/uk/figures ; ln -sf ../../C/figures/entry-number.png entry-number.png )
( cd usr/share/gnome/help/gconf-editor/uk/figures ; rm -rf entry-schema.png )
( cd usr/share/gnome/help/gconf-editor/uk/figures ; ln -sf ../../C/figures/entry-schema.png entry-schema.png )
( cd usr/share/gnome/help/gconf-editor/uk/figures ; rm -rf entry-string.png )
( cd usr/share/gnome/help/gconf-editor/uk/figures ; ln -sf ../../C/figures/entry-string.png entry-string.png )
( cd usr/share/gnome/help/gconf-editor/zh_CN/figures ; rm -rf entry-blank.png )
( cd usr/share/gnome/help/gconf-editor/zh_CN/figures ; ln -sf ../../C/figures/entry-blank.png entry-blank.png )
( cd usr/share/gnome/help/gconf-editor/zh_CN/figures ; rm -rf entry-bool.png )
( cd usr/share/gnome/help/gconf-editor/zh_CN/figures ; ln -sf ../../C/figures/entry-bool.png entry-bool.png )
( cd usr/share/gnome/help/gconf-editor/zh_CN/figures ; rm -rf entry-list.png )
( cd usr/share/gnome/help/gconf-editor/zh_CN/figures ; ln -sf ../../C/figures/entry-list.png entry-list.png )
( cd usr/share/gnome/help/gconf-editor/zh_CN/figures ; rm -rf entry-number.png )
( cd usr/share/gnome/help/gconf-editor/zh_CN/figures ; ln -sf ../../C/figures/entry-number.png entry-number.png )
( cd usr/share/gnome/help/gconf-editor/zh_CN/figures ; rm -rf entry-schema.png )
( cd usr/share/gnome/help/gconf-editor/zh_CN/figures ; ln -sf ../../C/figures/entry-schema.png entry-schema.png )
( cd usr/share/gnome/help/gconf-editor/zh_CN/figures ; rm -rf entry-string.png )
( cd usr/share/gnome/help/gconf-editor/zh_CN/figures ; ln -sf ../../C/figures/entry-string.png entry-string.png )
( cd usr/share/gnome/help/gconf-editor/zh_CN/figures ; rm -rf gconf_editor_anno_window.png )
( cd usr/share/gnome/help/gconf-editor/zh_CN/figures ; ln -sf ../../C/figures/gconf_editor_anno_window.png gconf_editor_anno_window.png )
